Bug 858930 - Publican 3.0 points to incorrect callout icon location in Brewed books.
Publican 3.0 points to incorrect callout icon location in Brewed books.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: publican (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruediger Landmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 00:47 EDT by Scott Mumford
Modified: 2013-02-13 16:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:26:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing broken callout pointer icon (67.52 KB, image/png)
2012-09-20 00:47 EDT, Scott Mumford
no flags Details

  None (edit)
Description Scott Mumford 2012-09-20 00:47:27 EDT
Created attachment 614669 [details]
Screenshot showing broken callout pointer icon

Description of problem:
When pushed to the Documentation Stage, any callout pointer icons (used in programlistingco elements) are not rendered. They appear as Shown in the attached screenshot.

This issue seems to be affecting all books that use the programlistingco element.

It has been determined that Publican is creating an incorrect path to the icon file in the build.

Quote from IRC discussion of problem:
01:36:48 PM - rudi: The actual image is on the server at:
01:36:51 PM - rudi: http://documentation-devel.engineering.redhat.com/docs/JBoss/en-US/images/1.png
01:36:59 PM - rudi: but the doc is pointing to:
01:37:04 PM - rudi: http://documentation-devel.engineering.redhat.com/docs/JBoss/en-US/images1.png
01:37:35 PM - rudi: src="../../../../../JBoss/en-US/images1.png"

Version-Release number of selected component (if applicable):
publican-jboss-2.99-4.el6eng.noarch
publican-redhat-2.99-4.fc16.noarch
publican-3.0-0.fc16.t216.noarch

How reproducible:
100%

Steps to Reproduce:
1. Brew a book with programlistingco elements in it.
2. View on Docsstage
3.
  
Actual results:
The icons are not rendered and appear as numbered squares.

Expected results:
Red, numbered icons should appear.

Additional info:
Comment 1 Fedora End Of Life 2013-01-16 12:04:49 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 16:26:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.